Installation problem Tracker 19.1

I am having troubles trying to install Tracker in the conda environment. It says ‘Found conflicts! Looking for incompatible packages.’ and after working for several minutes it gives me the error report below. Thankful for any help!

Traceback (most recent call last):
File “C:\Users\marja20\Anaconda3\lib\site-packages\conda\cli\install.py”, line 265, in install
should_retry_solve=(_should_retry_unfrozen or repodata_fn != repodata_fns[-1]),
File “C:\Users\marja20\Anaconda3\lib\site-packages\conda\core\solve.py”, line 117, in solve_for_transaction
should_retry_solve)
File “C:\Users\marja20\Anaconda3\lib\site-packages\conda\core\solve.py”, line 158, in solve_for_diff
force_remove, should_retry_solve)
File “C:\Users\marja20\Anaconda3\lib\site-packages\conda\core\solve.py”, line 281, in solve_final_state
ssc = self._run_sat(ssc)
File “C:\Users\marja20\Anaconda3\lib\site-packages\conda\common\io.py”, line 88, in decorated
return f(*args, **kwds)
File “C:\Users\marja20\Anaconda3\lib\site-packages\conda\core\solve.py”, line 808, in _run_sat
should_retry_solve=ssc.should_retry_solve
File “C:\Users\marja20\Anaconda3\lib\site-packages\conda\common\io.py”, line 88, in decorated
return f(*args, **kwds)
File “C:\Users\marja20\Anaconda3\lib\site-packages\conda\resolve.py”, line 1316, in solve
raise UnsatisfiableError({})
conda.exceptions.UnsatisfiableError:
Did not find conflicting dependencies. If you would like to know which
packages conflict ensure that you have enabled unsatisfiable hints.

conda config --set unsatisfiable_hints True


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\marja20\Anaconda3\lib\site-packages\conda\exceptions.py", line 1079, in __call__
    return func(*args, **kwargs)
  File "C:\Users\marja20\Anaconda3\lib\site-packages\conda\cli\main.py", line 84, in _main
    exit_code = do_call(args, p)
  File "C:\Users\marja20\Anaconda3\lib\site-packages\conda\cli\conda_argparse.py", line 82, in do_call
    return getattr(module, func_name)(args, parser)
  File "C:\Users\marja20\Anaconda3\lib\site-packages\conda\cli\main_install.py", line 20, in execute
    install(args, parser, 'install')
  File "C:\Users\marja20\Anaconda3\lib\site-packages\conda\cli\install.py", line 299, in install
    should_retry_solve=(repodata_fn != repodata_fns[-1]),
  File "C:\Users\marja20\Anaconda3\lib\site-packages\conda\core\solve.py", line 117, in solve_for_transaction
    should_retry_solve)
  File "C:\Users\marja20\Anaconda3\lib\site-packages\conda\core\solve.py", line 158, in solve_for_diff
    force_remove, should_retry_solve)
  File "C:\Users\marja20\Anaconda3\lib\site-packages\conda\core\solve.py", line 281, in solve_final_state
    ssc = self._run_sat(ssc)
  File "C:\Users\marja20\Anaconda3\lib\site-packages\conda\common\io.py", line 88, in decorated
    return f(*args, **kwds)
  File "C:\Users\marja20\Anaconda3\lib\site-packages\conda\core\solve.py", line 808, in _run_sat
    should_retry_solve=ssc.should_retry_solve
  File "C:\Users\marja20\Anaconda3\lib\site-packages\conda\common\io.py", line 88, in decorated
    return f(*args, **kwds)
  File "C:\Users\marja20\Anaconda3\lib\site-packages\conda\resolve.py", line 1318, in solve
    self.find_conflicts(specs, specs_to_add, history_specs)
  File "C:\Users\marja20\Anaconda3\lib\site-packages\conda\resolve.py", line 347, in find_conflicts
    bad_deps = self.build_conflict_map(specs, specs_to_add, history_specs)
  File "C:\Users\marja20\Anaconda3\lib\site-packages\conda\resolve.py", line 507, in build_conflict_map
    root, search_node, dep_graph, num_occurances)
  File "C:\Users\marja20\Anaconda3\lib\site-packages\conda\resolve.py", line 369, in breadth_first_search_for_dep_graph
    last_spec = MatchSpec.union((path[-1], target_paths[-1][-1]))[0]
  File "C:\Users\marja20\Anaconda3\lib\site-packages\conda\models\match_spec.py", line 481, in union
    return cls.merge(match_specs, union=True)
  File "C:\Users\marja20\Anaconda3\lib\site-packages\conda\models\match_spec.py", line 475, in merge
    reduce(lambda x, y: x._merge(y, union), group) if len(group) > 1 else group[0]
  File "C:\Users\marja20\Anaconda3\lib\site-packages\conda\models\match_spec.py", line 475, in <lambda>
    reduce(lambda x, y: x._merge(y, union), group) if len(group) > 1 else group[0]
  File "C:\Users\marja20\Anaconda3\lib\site-packages\conda\models\match_spec.py", line 502, in _merge
    final = this_component.union(that_component)
  File "C:\Users\marja20\Anaconda3\lib\site-packages\conda\models\match_spec.py", line 764, in union
    return '|'.join(options)
TypeError: sequence item 0: expected str instance, Channel found

$ C:\Users\marja20\Anaconda3\Scripts\conda-script.py install tracker -c https://mfix.netl.doe.gov/[token]/dist

environment variables:
CIO_TEST=
CONDA_DEFAULT_ENV=base
CONDA_EXE=C:\Users\marja20\Anaconda3\condabin…\Scripts\conda.exe
CONDA_EXES=“C:\Users\marja20\Anaconda3\condabin…\Scripts\conda.exe”
CONDA_PREFIX=C:\Users\marja20\Anaconda3
CONDA_PROMPT_MODIFIER=(base)
CONDA_PYTHON_EXE=C:\Users\marja20\Anaconda3\python.exe
CONDA_ROOT=C:\Users\marja20\Anaconda3
CONDA_SHLVL=1
HOMEPATH=\Users\marja20
PATH=C:\Users\marja20\Anaconda3;C:\Users\marja20\Anaconda3\Library\mingw-w6
4\bin;C:\Users\marja20\Anaconda3\Library\usr\bin;C:\Users\marja20\Anac
onda3\Library\bin;C:\Users\marja20\Anaconda3\Scripts;C:\Users\marja20
Anaconda3\bin;C:\Users\marja20\Anaconda3;C:\Users\marja20\Anaconda3\Li
brary\mingw-w64\bin;C:\Users\marja20\Anaconda3\Library\usr\bin;C:\User
s\marja20\Anaconda3\Library\bin;C:\Users\marja20\Anaconda3\Scripts;C:
Users\marja20\Anaconda3\bin;C:\Users\marja20\Anaconda3\condabin;C:\Pro
gram Files (x86)\Intel\iCLS Client;C:\Program Files\Intel\iCLS Client;
C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\WINDOWS\Sys
tem32\WindowsPowerShell\v1.0;C:\Program Files (x86)\Intel\Intel®
Management Engine Components\DAL;C:\Program Files\Intel\Intel®
Management Engine Components\DAL;C:\Program Files (x86)\Intel\Intel®
Management Engine Components\IPT;C:\Program Files\Intel\Intel®
Management Engine Components\IPT;C:\Program
Files\MATLAB\R2017a\runtime\win64;C:\Program
Files\MATLAB\R2017a\bin;C:\Program Files\PuTTY;C:\WINDOWS\System32\Ope
nSSH;C:\Users\marja20\Desktop\hopsan_cosim\OMSimulator\OMSimulatorLib;
C:\Users\marja20\Desktop\hopsan_cosim\OMSimulator\OMTLMSimulator;C:\Pr
ogram Files\MiKTeX 2.9\miktex\bin\x64;C:\Users\marja20\AppData\Local\M
icrosoft\WindowsApps;C:\Users\marja20\Desktop\hopsan_cosim\OMSimulator
\OMSimulatorLib;C:\Users\marja20\Desktop\hopsan_cosim\OMSimulator\OMTL
MSimulator;.
PSMODULEPATH=C:\Program Files\WindowsPowerShell\Modules;C:\WINDOWS\system32\Windows
PowerShell\v1.0\Modules
REQUESTS_CA_BUNDLE=
SSL_CERT_FILE=

 active environment : base
active env location : C:\Users\marja20\Anaconda3
        shell level : 1
   user config file : C:\Users\marja20\.condarc

populated config files : C:\Users\marja20.condarc
conda version : 4.8.2
conda-build version : 3.18.11
python version : 3.7.6.final.0
virtual packages : __cuda=9.0
base environment : C:\Users\marja20\Anaconda3 (writable)
channel URLs : https://mfix.netl.doe.gov/[token]/conda/dist/win-64
https://mfix.netl.doe.gov/[token]/conda/dist/noarch
https://repo.anaconda.com/pkgs/main/win-64
https://repo.anaconda.com/pkgs/main/noarch
https://repo.anaconda.com/pkgs/r/win-64
https://repo.anaconda.com/pkgs/r/noarch
https://repo.anaconda.com/pkgs/msys2/win-64
https://repo.anaconda.com/pkgs/msys2/noarch
package cache : C:\Users\marja20\Anaconda3\pkgs
C:\Users\marja20.conda\pkgs
C:\Users\marja20\AppData\Local\conda\conda\pkgs
envs directories : C:\Users\marja20\Anaconda3\envs
C:\Users\marja20.conda\envs
C:\Users\marja20\AppData\Local\conda\conda\envs
platform : win-64
user-agent : conda/4.8.2 requests/2.22.0 CPython/3.7.6 Windows/10 Windows/10.0.18362
administrator : False
netrc file : None
offline mode : False

Interesting. I’ll play with it. Might need to update the conda package?

Hi, before installing Tracker with the link, you need to install an update and install the necessary packages:

> conda update anaconda
> conda install sphinx sphinx_rtd_theme
> conda install tracker -c https://mfix.netl.doe.gov/.../conda/dist

Best Regards

I cannot install the latest version of tracker using anaconda or from source. The same error appears:

(tracker) C:\Users\Andres>tracker
Traceback (most recent call last):
File “C:\Users\Andres\anaconda3\envs\tracker\Scripts\tracker-script.py”, line 5, in
from tracker.app import main
File “C:\Users\Andres\anaconda3\envs\tracker\lib\site-packages\tracker\app.py”, line 17, in
from tracker.widgets import GroupBox, ColorButton, ScreenshotDialog, connect_widget
File “C:\Users\Andres\anaconda3\envs\tracker\lib\site-packages\tracker\widgets.py”, line 11, in
from tracker.tone_curve import ToneCurveEditor
File “C:\Users\Andres\anaconda3\envs\tracker\lib\site-packages\tracker\tone_curve.py”, line 6, in
from matplotlib.backends.qt_compat import QtWidgets, is_pyqt5
ImportError: cannot import name ‘is_pyqt5’ from ‘matplotlib.backends.qt_compat’ (C:\Users\Andres\anaconda3\envs\tracker\lib\site-packages\matplotlib\backends\qt_compat.py)

Seems to be a dependence problem. Is there any way to fix it??
Thanks!!

Looks like matplotlib dropped the ‘is_pyqt5’. I’ll have to pull that out and push a new version. Or you could try downgrading matplotlib.

Ok. I’ll create a new venv and try again from source. Which version of matplotlib should I install? I’m using python 3.8.10…

is_pyqt5 was removed in matplotlib 3.5: API Changes for 3.5.0 — Matplotlib 3.6.0.dev1159+g29cc1b3d67 documentation

So anything earlier then that should be good. I guess I should drop Qt4 support now, look at Qt6.

I’ve dowgraded matplotlib to the 3.4 version. The interphase shows up, I’ll test the software to see if it works. The following warning appears though, may be it is useful for when you’ll fix the dependencies…

C:\Users\andres\Documents\venvs\tracker\lib\site-packages\tracker-19.1.0-py3.8.egg\tracker\tone_curve.py:8: MatplotlibDeprecationWarning:
The is_pyqt5 function was deprecated in Matplotlib 3.3 and will be removed two minor releases later. Use QtCore.qVersion() instead.
if is_pyqt5():
C:\Users\andres\Documents\venvs\tracker\lib\site-packages\tracker-19.1.0-py3.8.egg\tracker\histogram_widget.py:7: MatplotlibDeprecationWarning:
The is_pyqt5 function was deprecated in Matplotlib 3.3 and will be removed two minor releases later. Use QtCore.qVersion() instead.
if is_pyqt5():
C:\Users\andres\Documents\venvs\tracker\lib\site-packages\tracker-19.1.0-py3.8.egg\tracker\plot_widgets.py:5: MatplotlibDeprecationWarning:
The is_pyqt5 function was deprecated in Matplotlib 3.3 and will be removed two minor releases later. Use QtCore.qVersion() instead.
if is_pyqt5():

Regards!

Awesome! I removed is_pyqt5 and will work on pushing a new version.

Ok I pushed a new version. You can install it into a different environment to test if you want with, replacing <token> with your personal token from the download page:

conda create -n tracker-22.1.0 tracker -c https://mfix.netl.doe.gov/s3/<token>/conda/dist

Then, activate that enviroment and run tracker with:

conda activate tracker-22.1.0
tracker

Thanks! I do not use conda or anaconda, just venv. Did you pushed the new .tar? I could not enter to get the source file.

Yes, a new .tar is up. Link is fixed.

Done! Got no problems! it runs smoothly!
Thanks for the help!
Regards!